Skip to main content
GET
/
datasets
/
views
cURL
curl --request GET \
  --url https://api.brightdata.com/datasets/views \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.brightdata.com/datasets/views"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.brightdata.com/datasets/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "v_id1",
    "name": "test1",
    "dataset_id": "gd_id1",
    "dataset_name": "Dataset One",
    "domain": "datasetonename.com"
  },
  {
    "id": "v_id2",
    "name": "test2",
    "dataset_id": "gd_id2",
    "dataset_name": "Dataset Two",
    "domain": "datasettwoname.com"
  }
]
{
"error": "Unauthorized"
}
A dataset view is a saved, filtered subscription to a Bright Data marketplace dataset that delivers fresh records to your destination on a recurring schedule. Each view has a unique id (for example v_id1) which you pass to the view delivery settings endpoints. Use the id returned here with:

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Response

List of dataset views

id
string

Unique identifier for the dataset view

name
string

Customer-assigned name for the view

dataset_id
string

ID of the underlying dataset

dataset_name
string

Name of the underlying dataset

domain
string

Primary domain of the dataset